# Class TPrimitiveTypeEntry

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TPrimitiveTypeEntry

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TPrimitiveTypeEntry>`, `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TPrimitiveTypeEntry extends Object implements org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>, Serializable, Cloneable, Comparable<TPrimitiveTypeEntry>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TPrimitiveTypeEntry._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TPrimitiveTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TTypeId`
`type`
`TTypeQualifiers`
`typeQualifiers`

## Constructor Summary

Constructors
Constructor
Description
`TPrimitiveTypeEntry()`
`TPrimitiveTypeEntry(TPrimitiveTypeEntry other)`
Performs a deep copy on other.
`TPrimitiveTypeEntry(TTypeId type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TPrimitiveTypeEntry other)`
`TPrimitiveTypeEntry`
`deepCopy()`
`boolean`
`equals(TPrimitiveTypeEntry that)`
`boolean`
`equals(Object that)`
`TPrimitiveTypeEntry._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TPrimitiveTypeEntry._Fields field)`
`TTypeId`
`getType()`
`TTypeQualifiers`
`getTypeQualifiers()`
`int`
`hashCode()`
`boolean`
`isSet(TPrimitiveTypeEntry._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetType()`
Returns true if field type is set (has been assigned a value) and false otherwise
`boolean`
`isSetTypeQualifiers()`
Returns true if field typeQualifiers is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TPrimitiveTypeEntry._Fields field, Object value)`
`TPrimitiveTypeEntry`
`setType(TTypeId type)`
`void`
`setTypeIsSet(boolean value)`
`TPrimitiveTypeEntry`
`setTypeQualifiers(TTypeQualifiers typeQualifiers)`
`void`
`setTypeQualifiersIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetType()`
`void`
`unsetTypeQualifiers()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TTypeId type

See Also:
  - `TTypeId`

### typeQualifiers

public TTypeQualifiers typeQualifiers

### metaDataMap

public static final Map<TPrimitiveTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TPrimitiveTypeEntry

public TPrimitiveTypeEntry()

### TPrimitiveTypeEntry

public TPrimitiveTypeEntry(TTypeId type)

### TPrimitiveTypeEntry

public TPrimitiveTypeEntry(TPrimitiveTypeEntry other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TPrimitiveTypeEntry deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### getType

public TTypeId getType()

See Also:
  - `TTypeId`

### setType

public TPrimitiveTypeEntry setType(TTypeId type)

See Also:
  - `TTypeId`

### unsetType

public void unsetType()

### isSetType

public boolean isSetType()
Returns true if field type is set (has been assigned a value) and false otherwise

### setTypeIsSet

public void setTypeIsSet(boolean value)

### getTypeQualifiers

public TTypeQualifiers getTypeQualifiers()

### setTypeQualifiers

public TPrimitiveTypeEntry setTypeQualifiers(TTypeQualifiers typeQualifiers)

### unsetTypeQualifiers

public void unsetTypeQualifiers()

### isSetTypeQualifiers

public boolean isSetTypeQualifiers()
Returns true if field typeQualifiers is set (has been assigned a value) and false otherwise

### setTypeQualifiersIsSet

public void setTypeQualifiersIsSet(boolean value)

### setFieldValue

public void setFieldValue(TPrimitiveTypeEntry._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### getFieldValue

public Object getFieldValue(TPrimitiveTypeEntry._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### isSet

public boolean isSet(TPrimitiveTypeEntry._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TPrimitiveTypeEntry that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TPrimitiveTypeEntry other)

Specified by:
  `compareTo` in interface `Comparable<TPrimitiveTypeEntry>`

### fieldForId

public TPrimitiveTypeEntry._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TPrimitiveTypeEntry,TPrimitiveTypeEntry._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`